> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# public/hello

> Method used to introduce the client software connected to Deribit platform over websocket. Provided data may have an impact on the maintained connection and will be collected for internal statistical purposes. In response, Deribit will also introduce itself.

[Try in API console](https://test.deribit.com/api_console?method=%2Fpublic%2Fhello)





## OpenAPI

````yaml /api-reference/coinbase-deribit-app-api/adv-starbase-openapi.json get /public/hello
openapi: 3.0.0
info:
  description: Coinbase Retail Advanced Trade API for derivatives trading.
  title: Coinbase Retail Advanced Trade (Deribit) API
  version: 2.1.1
servers:
  - url: https://drb.coinbase.com/api/v2
security: []
tags:
  - description: Can only be used over websockets.
    name: WebSocket Only
  - description: Public methods can be used without authentication.
    name: Public
  - description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
    name: Private
  - name: Authentication
  - name: Session Management
  - description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
    name: Subscription Management
  - name: Account Management
  - name: Trading
  - name: Market Data
paths:
  /public/hello:
    get:
      tags:
        - Supporting
        - Public
        - WebSocket Only
      description: >+
        Method used to introduce the client software connected to Deribit
        platform over websocket. Provided data may have an impact on the
        maintained connection and will be collected for internal statistical
        purposes. In response, Deribit will also introduce itself.


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fpublic%2Fhello)

      parameters:
        - description: Client software name
          in: query
          name: client_name
          required: true
          schema:
            example: My Trading Software
            type: string
        - description: Client software version
          in: query
          name: client_version
          required: true
          schema:
            example: 1.0.2
            type: string
      requestBody:
        content:
          application/json:
            examples:
              request:
                description: JSON-RPC Request Example
                value:
                  id: 2841
                  jsonrpc: '2.0'
                  method: public/hello
                  params:
                    client_name: My Trading Software
                    client_version: 1.0.2
        description: JSON-RPC request body
      responses:
        '200':
          $ref: '#/components/responses/PublicTestResponse'
components:
  responses:
    PublicTestResponse:
      content:
        application/json:
          examples:
            response:
              description: Response example
              value:
                id: 8212
                jsonrpc: '2.0'
                result:
                  version: 1.2.26
          schema:
            $ref: '#/components/schemas/PublicTestResponse'
      description: Success response
  schemas:
    PublicTestResponse:
      properties:
        id:
          description: The id that was sent in the request
          type: integer
        jsonrpc:
          description: The JSON-RPC version (2.0)
          enum:
            - '2.0'
          type: string
        result:
          properties:
            version:
              description: The API version
              example: 2.1.26
              type: string
          required:
            - version
          type: object
      required:
        - jsonrpc
        - result
      type: object

````